> ## Documentation Index
> Fetch the complete documentation index at: https://developers.smarterservices.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Course Offerings

> Returns a paginated list of course offerings (terms/semesters) for the specified application install.<br/><br/>Supports standard pagination via `offset` and `limit`.



## OpenAPI

````yaml https://api.dev.smarterproctoring.com/openapi.json get /v1/installs/{installSid}/courseOfferings
openapi: 3.0.0
info:
  title: SmarterProctoring API
  version: 3.0.3
  description: API documentation for SmarterProctoring
servers:
  - url: https://api.smarterproctoring.com
security:
  - client: []
tags:
  - name: App Install
    description: App Install operations
    x-group: App Install
  - name: Course
    description: Course operations
    x-group: Course
  - name: Course Offering
    description: Course Offering operations
    x-group: Course Offering
  - name: Exam
    description: Exam operations
    x-group: Exam
  - name: Exam Configuration
    description: Exam Configuration operations
    x-group: Exam Configuration
  - name: Exam Events
    description: Exam Events operations
    x-group: Exam Events
  - name: Exam Session
    description: Exam Session operations
    x-group: Exam Session
  - name: Exam Session Annotation
    description: Exam Session Annotation operations
    x-group: Exam Session Annotation
  - name: Exam Session Event
    description: Exam Session Event operations
    x-group: Exam Session Event
  - name: Onboarding
    description: Onboarding operations
    x-group: Onboarding
  - name: Provision
    description: Provision operations
    x-group: Provision
  - name: Reports
    description: Reports operations
    x-group: Reports
  - name: Time Zones
    description: Time Zones operations
    x-group: Time Zones
  - name: User
    description: User operations
    x-group: User
paths:
  /v1/installs/{installSid}/courseOfferings:
    get:
      tags:
        - Course Offering
      summary: List Course Offerings
      description: >-
        Returns a paginated list of course offerings (terms/semesters) for the
        specified application install.<br/><br/>Supports standard pagination via
        `offset` and `limit`.
      operationId: getV1InstallsInstallsidCourseofferings
      parameters:
        - name: installSid
          in: path
          schema:
            type: string
            description: >-
              Unique SID of the application install. Pattern: `AI` + 32 hex
              chars.
            example: AI1234567890abcdef1234567890abcdef
            pattern: ^AI[a-f0-9]{32}$
          description: 'Unique SID of the application install. Pattern: `AI` + 32 hex chars.'
          required: true
        - name: offset
          in: query
          schema:
            type: integer
            description: >-
              Zero-based offset for pagination. Indicates how many records to
              skip.
            example: 0
            minimum: 0
          description: >-
            Zero-based offset for pagination. Indicates how many records to
            skip.
        - name: limit
          in: query
          schema:
            type: integer
            description: Maximum number of course offering records to return.
            example: 25
            minimum: 0
          description: Maximum number of course offering records to return.
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CourseOfferingListResponse'
components:
  schemas:
    CourseOfferingListResponse:
      type: object
      properties:
        total:
          type: number
          description: Total number of results
        first:
          type: string
          description: URL for first page
          nullable: true
        next:
          type: string
          description: URL for next page
          nullable: true
        prev:
          type: string
          description: URL for previous page
          nullable: true
        last:
          type: string
          description: URL for last page
          nullable: true
        count:
          type: number
          description: Number of results in this page
        offset:
          type: number
          description: Current offset
        results:
          $ref: '#/components/schemas/Model2'
    Model2:
      type: array
      description: Course offering records
      items:
        $ref: '#/components/schemas/CourseOfferingListItem'
    CourseOfferingListItem:
      type: object
      properties:
        sid:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        startDate:
          type: string
          nullable: true
        endDate:
          type: string
          nullable: true
        createdDate:
          type: string
          nullable: true
        editDate:
          type: string
          nullable: true
  securitySchemes:
    client:
      type: apiKey
      name: token
      in: header

````